# IAX2IeDateTime Class Reference

`#include <ies.h>`

Inheritance diagram for IAX2IeDateTime:

[legend]
Collaboration diagram for IAX2IeDateTime:
[legend]

## Public Member Functions

| IAX2IeDateTime (BYTE length, BYTE *srcData)
virtual void | PrintOn (ostream &str) const
virtual BYTE | GetKeyValue () const
virtual void | StoreDataIn (IAX2IeData &res)

## Detailed Description

An Information Element that contains the date and time (in 32 bits)

## Constructor & Destructor Documentation

IAX2IeDateTime::IAX2IeDateTime | ( | BYTE | length,
|  | BYTE * | srcData |
| ) |  |  | `[inline]`

Constructor from data read from the network.

Contents are undefined if the network data is bogus/invalid

## Member Function Documentation

virtual BYTE IAX2IeDateTime::GetKeyValue | ( |  | ) | const`[inline, virtual]`

Get the key value for this particular Information Element class

Reimplemented from IAX2Ie.

virtual void IAX2IeDateTime::PrintOn | ( | ostream & | str | ) | const`[virtual]`

print this class (nicely) to the designated stream

Reimplemented from IAX2IeDateAndTime.

virtual void IAX2IeDateTime::StoreDataIn | ( | IAX2IeData & | res | ) | `[inline, virtual]`

Take the data from this IAX2Ie, and copy it into the IAX2IeData structure. This is done on processing an incoming frame which contains IAX2Ie in the data section.

Reimplemented from IAX2Ie.

The documentation for this class was generated from the following file:

- ies.h